Bug 1566613 - RFE: Azure Stack support -- needed enhancements for adding the provider
Summary: RFE: Azure Stack support -- needed enhancements for adding the provider
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: mplesko
QA Contact: Loic Avenel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 15:33 UTC by Brandon Squizzato
Modified: 2019-09-02 07:31 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-02 07:31:55 UTC
Category: Feature
Cloudforms Team: AzureStack
Target Upstream Version:
bsquizza: automate_bug-


Attachments (Terms of Use)

Description Brandon Squizzato 2018-04-12 15:33:16 UTC
Adding an Azure Stack provider will require the admin to specify the "typical stuff" we do for the public cloud environments, but also require additional information to properly set up the environment such as:

* Resource manager URL for their specific stack deployment -- we should be able to use this URL to discover the other service URLs "under the hood"
* API version profile so we can config the azure API versions we use (or ensure it matches with whatever set of versions we decide to support, if there's a limited list)
* Possibly some other info such as suffixes
* Ability to add a CA cert for the Azure Stack deployment to our local trust list if needed

See this doc which explains how to point Azure CLI at an AzureStack environment: https://github.com/MicrosoftDocs/azure-docs/blob/master/articles/azure-stack/user/azure-stack-version-profiles-azurecli2.md

We likely need to offer similar config options in our "Add Provider" UI pages when the admin wants to add an AzureStack provider.

Comment 2 Dave Johnson 2018-04-12 15:44:50 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Brandon Squizzato 2018-05-01 19:14:29 UTC
Adding capability to armrest as described here will help with some of the URL discovery: https://github.com/ManageIQ/azure-armrest/issues/370 

The admin will still need to manually specify the key vault suffix, storage endpoint suffix (as needs to be done for azure cli, stated in the above Microsoft doc). It appears there's no way to 'discover' that data yet -- https://github.com/Azure/msrestazure-for-python/issues/64

Comment 8 Daniel Berger 2019-03-01 16:54:27 UTC
I believe the following PR's effectively close this issue:

https://github.com/ManageIQ/manageiq-ui-classic/pull/4304 (endpoint on UI side)
https://github.com/ManageIQ/manageiq-providers-azure/pull/274 (backend support for custom endpoint)
https://github.com/ManageIQ/manageiq-providers-azure/pull/275 (api handling)

Other outstanding issues should be (or already are) be tracked separately.

Moving to POST.


Note You need to log in before you can comment on or make changes to this bug.